{"openapi":"3.0.4","info":{"title":"Set the details of a Posting Module","description":"Update the given Posting Module details.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/chartofaccounts/{scope}/{code}/postingmodules/{postingModuleCode}":{"put":{"tags":["Chart Of Accounts"],"summary":"Set the details of a Posting Module","description":"Update the given Posting Module details.","operationId":"SetPostingModuleDetails","parameters":[{"name":"scope","in":"path","description":"The scope of the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Chart of Accounts. Together with the scope this uniquely identifies the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"postingModuleCode","in":"path","description":"The code of the Posting Module to be updated.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The new details for the Posting Module.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleDetails"},"example":{"displayName":"PostingModuleNameUpdated","description":"PostingModuleDescriptionUpdated","status":"Active"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleDetails"},"example":{"displayName":"PostingModuleNameUpdated","description":"PostingModuleDescriptionUpdated","status":"Active"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleDetails"},"example":{"displayName":"PostingModuleNameUpdated","description":"PostingModuleDescriptionUpdated","status":"Active"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleDetails"},"example":{"displayName":"PostingModuleNameUpdated","description":"PostingModuleDescriptionUpdated","status":"Active"}}},"required":true},"responses":{"200":{"description":"The updated Posting Module.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}